package com.xlht.xlhtproject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 化验项目信息对象 z_assay
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZAssay
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long assayId;

    /** 化验唯一编号 */
    private String assayNo;

    /** 设备编号 */
    private String deviceNo;

    /** 化验类型 */
    private String assayType;

    /** 化验实时大流程 */
    private String assayBigprocess;

    /** 化验实时小流程 */
    private String assaySmallprocess;

    /** 化验开始时间 */
    private String beginTime;

    /** 化验结束时间 */
    private String endTime;

    /** 化验日期 */
    private String assayDate;

    /** 化验人 */
    private String assayBy;

    /** 化验版本 */
    private String version;

    /** 流程名 */
    private String stepName;

    /** 总步进 */
    private String stepTotal;

    /** 当前步进 */
    private String stepNow;

    /** 步进信息1 */
    private String stepInfo1;

    /** 步进信息2 */
    private String stepInfo2;

    /** 步进信息3 */
    private String stepInfo3;

    /** 化验状态 */
    private String assayStatus;

    /** 化验方式(0-自动化验，1-手动化验) */
    private String assayMethod;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 备注 */
    private String remark;

    //请求参数

    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;
}
