package com.xlht.xlhtproject.service;


import com.xlht.xlhtproject.domain.TXinyiMedicineParam;

import java.util.List;

/**
 * 智能投药参数设置Service接口
 * 
 * @author slibra
 * @date 2024-09-09
 */
public interface ITXinyiMedicineParamService 
{
    /**
     * 查询智能投药参数设置
     * 
     * @param id 智能投药参数设置主键
     * @return 智能投药参数设置
     */
    public TXinyiMedicineParam selectTXinyiMedicineParamById(Long id);

    /**
     * 查询智能投药参数设置列表
     * 
     * @param tXinyiMedicineParam 智能投药参数设置
     * @return 智能投药参数设置集合
     */
    public List<TXinyiMedicineParam> selectTXinyiMedicineParamList(TXinyiMedicineParam tXinyiMedicineParam);

    /**
     * 新增智能投药参数设置
     * 
     * @param tXinyiMedicineParam 智能投药参数设置
     * @return 结果
     */
    public int insertTXinyiMedicineParam(TXinyiMedicineParam tXinyiMedicineParam);

    /**
     * 修改智能投药参数设置
     * 
     * @param tXinyiMedicineParam 智能投药参数设置
     * @return 结果
     */
    public int updateTXinyiMedicineParam(TXinyiMedicineParam tXinyiMedicineParam);

    /**
     * 批量删除智能投药参数设置
     * 
     * @param ids 需要删除的智能投药参数设置主键集合
     * @return 结果
     */
    public int deleteTXinyiMedicineParamByIds(Long[] ids);

    /**
     * 删除智能投药参数设置信息
     * 
     * @param id 智能投药参数设置主键
     * @return 结果
     */
    public int deleteTXinyiMedicineParamById(Long id);

    TXinyiMedicineParam getLatestRecord();
}
