package com.xlht.xlhtproject.service;

import java.util.List;
import com.xlht.xlhtproject.domain.ZAssay;

/**
 * 化验项目信息Service接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface IZAssayService 
{
    /**
     * 查询化验项目信息
     * 
     * @param assayId 化验项目信息主键
     * @return 化验项目信息
     */
    public ZAssay selectZAssayByAssayId(Long assayId);

    /**
     * 查询化验项目信息列表
     * 
     * @param zAssay 化验项目信息
     * @return 化验项目信息集合
     */
    public List<ZAssay> selectZAssayList(ZAssay zAssay);

    /**
     * 新增化验项目信息
     * 
     * @param zAssay 化验项目信息
     * @return 结果
     */
    public int insertZAssay(ZAssay zAssay);

    /**
     * 修改化验项目信息
     * 
     * @param zAssay 化验项目信息
     * @return 结果
     */
    public int updateZAssay(ZAssay zAssay);

    /**
     * 批量删除化验项目信息
     * 
     * @param assayIds 需要删除的化验项目信息主键集合
     * @return 结果
     */
    public int deleteZAssayByAssayIds(Long[] assayIds);

    /**
     * 删除化验项目信息信息
     * 
     * @param assayId 化验项目信息主键
     * @return 结果
     */
    public int deleteZAssayByAssayId(Long assayId);
}
